Document templates & integrations

Save Org Document Template

Save org document template. Requires company-wide document management access in the effective organization.

POSThttps://api.toku.com/hris/save-org-document-template

Not available to API keys yet. It will need documents:write.

curl --request POST \
  --url 'https://api.toku.com/hris/save-org-document-template' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "requestId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "templateId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "expectedRevision": 0,
  "name": "string",
  "subjectType": "PERSON",
  "category": "EMPLOYMENT_AGREEMENT",
  "googleDocUrl": "string",
  "signingSetup": "RECIPIENT_ONLY",
  "signatoryId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'
200 response
{
  "templateId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "name": "string",
  "subjectType": "PERSON",
  "category": "EMPLOYMENT_AGREEMENT",
  "status": "DRAFT",
  "editRevision": 0,
  "currentVersionNumber": 0,
  "hasDraft": true,
  "checks": "VALID",
  "sourceUrl": "string",
  "signingSetup": "RECIPIENT_ONLY",
  "signatoryId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "report": {
    "status": "VALID",
    "checkedAt": "string",
    "sourceRevision": "string",
    "registryVersion": "string",
    "fields": [
      {
        "key": "string",
        "label": "string",
        "status": "known",
        "occurrences": 0,
        "locations": [
          "string"
        ],
        "contractTypes": [
          "Fixed-term"
        ],
        "suggestions": [
          "string"
        ]
      }
    ],
    "anchors": [
      {
        "anchor": "string",
        "role": "string",
        "required": true,
        "present": true
      }
    ],
    "issues": [
      {
        "code": "string",
        "message": "string",
        "key": "string",
        "role": "recipient",
        "suggestions": [
          "string"
        ]
      }
    ]
  },
  "history": [
    {
      "versionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "number": 0,
      "publishedAt": "string",
      "sourceRevision": "string",
      "hash": "string"
    }
  ],
  "integrationAccount": "user@example.com",
  "isStarter": true,
  "requesterEmail": "user@example.com"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

requestIdstring<uuid>required
templateIdstring<uuid>
expectedRevisioninteger

Allowed: at least 0

namestringrequired

Allowed: 1 to 250 characters

subjectTypestringrequired

Available options: PERSON, EMPLOYMENT, CONTRACTOR, GRANT

categorystring

Available options: EMPLOYMENT_AGREEMENT, CONTRACTOR_AGREEMENT, CIIAA, EMPLOYMENT_VERIFICATION, GRANT_AGREEMENT, OTHER_ONBOARDING_DOCUMENT

googleDocUrlstring<uri>required
signingSetupstringrequired

Available options: RECIPIENT_ONLY, RECIPIENT_AND_COMPANY

signatoryIdstring | null<uuid>required
tokuConfirmedSourceany

Response

200Successful response
templateIdstring<uuid>required
namestringrequired
subjectTypestringrequired

Available options: PERSON, EMPLOYMENT, CONTRACTOR, GRANT

categorystringrequired

Available options: EMPLOYMENT_AGREEMENT, CONTRACTOR_AGREEMENT, CIIAA, EMPLOYMENT_VERIFICATION, GRANT_AGREEMENT, OTHER_ONBOARDING_DOCUMENT

statusstringrequired

Available options: DRAFT, PUBLISHED

editRevisionintegerrequired
currentVersionNumberinteger | nullrequired
hasDraftbooleanrequired
checksstringrequired

Available options: VALID, INVALID, UNAVAILABLE, NOT_CHECKED

sourceUrlstring<uri>required
signingSetupstringrequired

Available options: RECIPIENT_ONLY, RECIPIENT_AND_COMPANY

signatoryIdstring | null<uuid>required
reportobject | nullrequired
Show child attributes
statusstringrequired

Available options: VALID, INVALID, UNAVAILABLE

checkedAtstringrequired
sourceRevisionstring | nullrequired
registryVersionstringrequired
fieldsobject[]required

Allowed: at most 1000 items

Show child attributes
keystringrequired
labelstring | nullrequired
statusstringrequired

Available options: known, unknown, unavailable

occurrencesintegerrequired

Allowed: at least 1

locationsstring[]required

Allowed: at most 5000 items

contractTypesstring[]

Allowed: at most 2 items

suggestionsstring[]required

Allowed: at most 3 items

anchorsobject[]required

Allowed: at most 30 items

Show child attributes
anchorstringrequired
rolestringrequired
requiredbooleanrequired
presentbooleanrequired
issuesobject[]required

Allowed: at most 1000 items

Show child attributes
codestringrequired
messagestringrequired
keystring
rolestring

Available options: recipient, company

suggestionsstring[]required

Allowed: at most 3 items

historyobject[]required
Show child attributes
versionIdstring<uuid>required
numberintegerrequired
publishedAtstringrequired
sourceRevisionstringrequired
hashstringrequired
integrationAccountstring<email>required
isStarterbooleanrequired
requesterEmailstring | null<email>required
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits